Spyware Blaster 3.2 not compatible with Firefox 1.0PR

Discussion in 'SpywareBlaster & Other Forum' started by RandomUser, Sep 14, 2004.

Thread Status:
Not open for further replies.
  1. RandomUser

    RandomUser Guest

    Hi, I love Spyware Blaster and Firefox, but a new version of Firefox was released today -- 1.0PR. And Spyware Blaster doesn't seem to work with it. I had no trouble with Spyware Blaster 3.2 and Firefox 0.9.2. But spywareblaster doesn't seem to be able to function with the new Firefox web browser. Any hope of updating it? Thanks.
     
  2. RandomUser

    RandomUser Guest

    To clarify, Spywareblaster doesn't seem to have any trouble detecting firefox (this was the problem with the older version of Spyware blaster and Firefox 0.9, and solved by Spyware blaster 3.2).

    The problem now is that it fails to enter the entries to the block list for cookies on Firefox 1.0PR. It will say that the protection is enabled, and gives the appearance of working, but checking the cookies in Firefox will reveal that no sites are added to the blocklist by Spyware Blaster.

    Thank you in advance.
     
  3. RandomUser

    RandomUser Guest

    The system is Win98. Not sure if it's an OS specific problem or if anyone else on other OSes who've upgraded to the new Firefox 1.0PR released today has the same problem.
     
  4. RandomUser

    RandomUser Guest

    And this was done using a clean install of Firefox. That means I uninstalled and deleted all the remnants and profiles of the old firefox before installing the new version.

    If I recall correctly, the previous detection error where Spyware Blaster 3.1 didn't detect Firefox 0.9.0 was avoided by people who installed FF 0.9 on top of FF 0.8, but the detection error existed for users of a clean FF 0.9 install. The ones who didn't use a clean install reused the 0.8 structure and thus was detectable by Spyware Blaster 3.1. Those who used a clean install of 0.9 had a new structure unknown to Spyware Blaster and thus was undetected. This was fixed by spyware blaster 3.2.

    This new problem I'm having with Spyware Blaster 3.2 is under a clean install of Firefox 1.0PR. Not sure if those who didn't do a clean install have the same problem. But regardless, new users of FF would be using a clean install. And a clean install is recommended anyway. I hope Spyware Blaster can be made compatible with the new Firefox 1.0PR.

    Spyware Blaster is a necessity! :) Thanks.
     
  5. javacool

    javacool BrightFort Moderator

    Joined:
    Feb 10, 2002
    Posts:
    3,997
    Hi,

    All tests show that SpywareBlaster 3.2 does in fact work with Firefox 1.0 PR. (And the Mozilla/Firefox crew didn't change that setup between 0.9 and 1.0 either, as far as I know.)

    One possible problem: For Firefox to properly "register" those blocks, you will need to close it and re-open it. Also, if you make any changes to the cookie blocking list before you close Firefox, it will overwrite the SpywareBlaster-modified version with the version it holds in memory. (You can do this after you close and re-open Firefox - it shouldn't be a problem then as it will have properly read the SpywareBlaster-modified cookie blocking list.)

    Best regards,

    -Javacool
     
  6. RandomUser

    RandomUser Guest

    Yes, THANK YOU! I was indeed making changes to the list in addition to Spyware Blaster. And restarting my computer seems to have fixed it. Thanks ever so much for this great product. :)
     
Loading...
Thread Status:
Not open for further replies.